(* Ocaml XML-RPC IDL Compiler 
   Copyright (C) 2004 Shawn Wagner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*)

(** XML-RPC server activated via CGI *)

(** This is very very simple, with minimal error checking for now. I
  would use Netcgi or the like, but the XML-RPC post request body isn't
  formatted like a CGI POST. *)

(** Raised after each request, breaking out of the {!XmlRPCServer.run} loop *)
exception Done

(** Return a new handler that's invoked as a CGI program *)
val make: unit -> XmlRPCServer.t
