(*
    Ocaml XML-RPC support.
    Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*)

open Http_client
let handler = new pipeline
let _ = handler#set_proxy_from_environment();;
let options = handler#get_options in
  handler#set_options { options with
			  verbose_connection = false 
			  ; verbose_request_header = false
			  ; verbose_request_contents = false
			  ; verbose_response_header = false
			  ; verbose_response_contents = false
			  ; verbose_status = false
}
